local mouse_positions = {}
local size = 10

local color_black = {0, 0, 0}
local color_white = {255, 255, 255}

local down = love.mouse.isDown
local get_mouse_pos = love.mouse.getPosition

function love.load()
	love.graphics.setBackgroundColor(255, 255, 255)
end

function love.update(dt)
	local x, y = get_mouse_pos()
	
	if down(1) then
		mouse_positions[#mouse_positions + 1] = {color_black, x, y, size}
	elseif down(2) then
		mouse_positions[#mouse_positions + 1] = {color_white, x, y, size}
	end
end

function love.draw()
	local x, y = get_mouse_pos()
	
	for i = 1, #mouse_positions do
		local obj = mouse_positions[i]
		
		love.graphics.setColor(obj[1])
		love.graphics.circle("fill", obj[2], obj[3], obj[4])
	end
	
	love.graphics.setColor(0, 0, 0)
	love.graphics.circle("line", x, y, size)
end

function love.wheelmoved(x, y)
	if y == 1 then
		size = math.max(1, size - 1)
	elseif y == -1 then
		size = math.min(size + 1, 50)
	end
end

